unit IniFiless;

interface

//   uses  IniFiles & ShellAPI
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IniFiles, ShellAPI;

type
  TMainForm = class(TForm)
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    lb1: TLabel;
    Memo1: TMemo;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;
  F: TIniFile; // INI FILES - .

implementation

{$R *.dfm}
{$R WindowsXP.res}

procedure TMainForm.FormCreate(Sender: TObject);
begin
OpenDialog1.InitialDir := ExtractFilePath(ParamStr(0)); //  .
  SaveDialog1.InitialDir := OpenDialog1.InitialDir; //  .
F := TIniFile.Create(ExtractFilePath(ParamStr(0)) + 'File.ini'); //  .

lb1.Caption:=F.ReadString('Label', 'Text', lb1.Caption); // .
lb1.Font.Color:=F.ReadInteger('Label', 'Color', lb1.Font.Color); // 
lb1.Font.Name:=F.ReadString('Label', 'Font', lb1.Font.Name); // 
lb1.Font.Size:=F.ReadInteger('Label', 'Size', lb1.Font.Size); // 

Memo1.Text:=F.ReadString('Memo1', 'Text', Memo1.Text); // .
Memo1.Font.Color:=F.ReadInteger('Memo1', 'Color', Memo1.Font.Color); // 
Memo1.Font.Name:=F.ReadString('Memo1', 'Font', Memo1.Font.Name); // 
Memo1.Font.Size:=F.ReadInteger('Memo1', 'Size', Memo1.Font.Size); // 
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
MainForm.Close;
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
F := TIniFile.Create(ExtractFilePath(ParamStr(0)) + 'File.ini'); // 

F.WriteString('Label', 'Text', lb1.Caption); // .
F.WriteInteger('Label', 'Color', lb1.Font.Color); // 
F.WriteString('Label', 'Font', lb1.Font.Name); // 
F.WriteInteger('Label', 'Size', lb1.Font.Size); // 

F.WriteString('Memo1', 'Text', Memo1.Text); // .
F.WriteInteger('Memo1', 'Color', Memo1.Font.Color); // 
F.WriteString('Memo1', 'Font', Memo1.Font.Name); // 
F.WriteInteger('Memo1', 'Size', Memo1.Font.Size); // 
end;

end.
